Get current payment.
curl --request GET \
--url https://api.novatrade24.com/v1/partners/{sellerId}/orders/{uuid}/payment \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.novatrade24.com/v1/partners/{sellerId}/orders/{uuid}/payment"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.novatrade24.com/v1/partners/{sellerId}/orders/{uuid}/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paymentDate": "2023-12-25",
"bankAmount": {
"value": 7900,
"currency": "EUR"
},
"cashAmount": {
"value": 7900,
"currency": "EUR"
},
"sourceIban": "DE89370400440532013000",
"status": "DRAFT",
"amountMatchesInvoice": true,
"ibanConsistent": true,
"readyForPickup": true,
"version": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>"
}Payment
Get current payment.
GET
/
partners
/
{sellerId}
/
orders
/
{uuid}
/
payment
Get current payment.
Authorizations
OAuth 2.0 client_credentials grant via Keycloak service account.
Clients are provisioned per IntegrationOrganization in the
nt24-idp realm.
Path Parameters
UUID of the seller trade partner (must be in caller's authorized list).
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"DE89370400440532013000"
Available options:
DRAFT, SUBMITTED, VALID, INVALID ⌘I